@echo off

set MGCB=C:\Program Files (x86)\MSBuild\MonoGame\v3.0\Tools\MGCB.exe

for /r %%f in (*.png) do (
	echo Processing %%~nf...
	"%MGCB%" /incremental /build:"%%f" /quiet
	echo Processed.
)

for /r %%f in (*.spritefont) do (
	echo Processing %%~nf...
	"%MGCB%" /incremental /build:"%%f"
	echo Processed.
)

echo Cleaning...
for /r %%f in (*.mgcontent) do del "%%f"

echo All art processed. Remember to add any new art's .xnb files to the project,
echo and set their Quick Property to Copy to Output Directory.

pause